Index: doc/FAQ/ChangeLog
===================================================================
--- doc/FAQ/ChangeLog	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/FAQ/ChangeLog	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -1,2 +1,6 @@
+2003-01-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Put GENERATED_FILES into $builddir.
+
 2003-01-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: doc/FAQ/Makefile.am
===================================================================
--- doc/FAQ/Makefile.am	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/FAQ/Makefile.am	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -30,55 +30,55 @@
 #
 
-$(srcdir)/basic.texi: basic.t
+basic.texi: basic.t
 	$(BMENU2) -c -p "Top" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/tools.texi: tools.t
+tools.texi: tools.t
 	$(BMENU2) -c -p "Top" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/concepts.texi: concepts.t
+concepts.texi: concepts.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/build45.texi: build45.t
+build45.texi: build45.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/bsp.texi: bsp.t
+bsp.texi: bsp.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/debug.texi: debug.t
+debug.texi: debug.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/freesw.texi: freesw.t
+freesw.texi: freesw.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/embeddedinfo.texi: embeddedinfo.t
+embeddedinfo.texi: embeddedinfo.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/hwdebugaids.texi: hwdebugaids.t
+hwdebugaids.texi: hwdebugaids.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/projects.texi: projects.t
+projects.texi: projects.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/endoftime.texi: endoftime.t
+endoftime.texi: endoftime.t
 	$(BMENU2) -c -p "" \
 	    -u "Top" \
Index: doc/ada_user/ChangeLog
===================================================================
--- doc/ada_user/ChangeLog	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/ada_user/ChangeLog	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -1,2 +1,6 @@
+2003-01-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Put GENERATED_FILES into $builddir.
+
 2003-01-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: doc/ada_user/Makefile.am
===================================================================
--- doc/ada_user/Makefile.am	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/ada_user/Makefile.am	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -14,17 +14,17 @@
 include $(top_srcdir)/main.am
 
-COMMON_FILES = $(top_srcdir)/user/bsp.texi $(top_srcdir)/user/clock.texi \
-    $(top_srcdir)/user/concepts.texi $(top_srcdir)/user/datatypes.texi \
-    $(top_srcdir)/user/conf.texi $(top_srcdir)/user/dirstat.texi \
-    $(top_srcdir)/user/dpmem.texi $(top_srcdir)/user/event.texi \
-    $(top_srcdir)/user/fatal.texi $(top_srcdir)/user/glossary.texi \
-    $(top_srcdir)/user/init.texi $(top_srcdir)/user/intr.texi \
-    $(top_srcdir)/user/io.texi $(top_srcdir)/user/mp.texi \
-    $(top_srcdir)/user/msg.texi $(top_srcdir)/user/overview.texi \
-    $(top_srcdir)/user/part.texi $(top_srcdir)/user/preface.texi \
-    $(top_srcdir)/user/region.texi $(top_srcdir)/user/rtmon.texi \
-    $(top_srcdir)/user/schedule.texi $(top_srcdir)/user/sem.texi \
-    $(top_srcdir)/user/signal.texi $(top_srcdir)/user/task.texi \
-    $(top_srcdir)/user/timer.texi $(top_srcdir)/user/userext.texi \
+COMMON_FILES = $(top_builddir)/user/bsp.texi $(top_builddir)/user/clock.texi \
+    $(top_builddir)/user/concepts.texi $(top_builddir)/user/datatypes.texi \
+    $(top_builddir)/user/conf.texi $(top_builddir)/user/dirstat.texi \
+    $(top_builddir)/user/dpmem.texi $(top_builddir)/user/event.texi \
+    $(top_builddir)/user/fatal.texi $(top_builddir)/user/glossary.texi \
+    $(top_builddir)/user/init.texi $(top_builddir)/user/intr.texi \
+    $(top_builddir)/user/io.texi $(top_builddir)/user/mp.texi \
+    $(top_builddir)/user/msg.texi $(top_builddir)/user/overview.texi \
+    $(top_builddir)/user/part.texi $(top_builddir)/user/preface.texi \
+    $(top_builddir)/user/region.texi $(top_builddir)/user/rtmon.texi \
+    $(top_builddir)/user/schedule.texi $(top_builddir)/user/sem.texi \
+    $(top_builddir)/user/signal.texi $(top_builddir)/user/task.texi \
+    $(top_builddir)/user/timer.texi $(top_builddir)/user/userext.texi \
     $(top_srcdir)/common/setup.texi $(top_srcdir)/common/cpright.texi
 
Index: doc/bsp_howto/ChangeLog
===================================================================
--- doc/bsp_howto/ChangeLog	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/bsp_howto/ChangeLog	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -1,2 +1,6 @@
+2003-01-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Put GENERATED_FILES into $builddir.
+
 2003-01-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: doc/bsp_howto/Makefile.am
===================================================================
--- doc/bsp_howto/Makefile.am	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/bsp_howto/Makefile.am	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -31,70 +31,70 @@
 #
 
-$(srcdir)/intro.texi: intro.t
+intro.texi: intro.t
 	$(BMENU2) -p "Top" \
 	    -u "Top" \
 	    -n "Target Dependent Files" < $< > $@
 
-$(srcdir)/target.texi: target.t
+target.texi: target.t
 	$(BMENU2) -p "Introduction" \
 	    -u "Top" \
 	    -n "Makefiles" < $< > $@
 
-$(srcdir)/makefiles.texi: makefiles.t
+makefiles.texi: makefiles.t
 	$(BMENU2) -p "Target Dependent Files Board Support Package Structure" \
 	    -u "Top" \
 	    -n "Linker Script" < $< > $@
 
-$(srcdir)/linkcmds.texi: linkcmds.t
+linkcmds.texi: linkcmds.t
 	$(BMENU2) -p "Makefiles Creating a New BSP Make Customization File" \
 	    -u "Top" \
 	    -n "Ada95 Interrupt Support" < $< > $@
 
-$(srcdir)/adaintr.texi: adaintr.t
+adaintr.texi: adaintr.t
 	$(BMENU2) -p "Linker Script Initialized Data" \
 	    -u "Top" \
 	    -n "Miscellaneous Support Files" < $< > $@
 
-$(srcdir)/support.texi: support.t
+support.texi: support.t
 	$(BMENU2) -p "Ada95 Interrupt Support Version Requirements" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/init.texi: init.t
+init.texi: init.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/console.texi: console.t
+console.texi: console.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/clock.texi: clock.t
+clock.texi: clock.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/timer.texi: timer.t
+timer.texi: timer.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/rtc.texi: rtc.t
+rtc.texi: rtc.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/ata.texi: ata.t
+ata.texi: ata.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/ide-ctrl.texi: ide-ctrl.t
+ide-ctrl.texi: ide-ctrl.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/nvmem.texi: nvmem.t
+nvmem.texi: nvmem.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
@@ -103,20 +103,20 @@
 #  Grab the chapter on writing a network device driver.
 #
-$(srcdir)/network.texi: ../networking/driver.t
+network.texi: ../networking/driver.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/shmsupp.texi: shmsupp.t
+shmsupp.texi: shmsupp.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/analog.texi: analog.t
+analog.texi: analog.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
 	    -n "" < $< > $@
 
-$(srcdir)/discrete.texi: discrete.t
+discrete.texi: discrete.t
 	$(BMENU2) -p "" \
 	    -u "Top" \
Index: doc/filesystem/ChangeLog
===================================================================
--- doc/filesystem/ChangeLog	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/filesystem/ChangeLog	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -1,2 +1,6 @@
+2003-01-24	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* Makefile.am: Put GENERATED_FILES into $builddir.
+
 2003-01-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: doc/filesystem/Makefile.am
===================================================================
--- doc/filesystem/Makefile.am	(revision f28a6af24cf469725a76a22820d00ebe1f466363)
+++ doc/filesystem/Makefile.am	(revision c7ddb1726f4923c4906aed402ac97ca5543b61f7)
@@ -26,40 +26,40 @@
 filesystem_TEXINFOS = $(FILES) $(COMMON_FILES) $(GENERATED_FILES)
 
-$(srcdir)/patheval.texi: patheval.t
+patheval.texi: patheval.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/init.texi: init.t
+init.texi: init.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/mounting.texi: mounting.t
+mounting.texi: mounting.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/syscalls.texi: syscalls.t
+syscalls.texi: syscalls.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/fsrequirements.texi: fsrequirements.t
+fsrequirements.texi: fsrequirements.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/imfs.texi: imfs.t
+imfs.texi: imfs.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/miniimfs.texi: miniimfs.t
+miniimfs.texi: miniimfs.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
 	   -n "" < $< > $@
 
-$(srcdir)/tftp.texi: tftp.t
+tftp.texi: tftp.t
 	$(BMENU2) -p "" \
 	   -u "Top" \
